#!/bin/bash
PROG=${0##*/}
read -p "Enter a filename: " fname junk
if [[ ! -f "$fname" ]]
then
    echo "$PROG: '$fname' must be an ordinary file." >&2
    exit 1
fi
newname=$(echo "$fname" | tr 'A-Z' 'a-z')
if [[ -f "$newname" ]]
then
    read -p "Do you want to overwrite '$newname'? " choice
    case "$choice" in
    [!Yy]*)	echo "'$fname' not renamed." >&2
		exit 2 ;;
    *)		;;
    esac
fi
mv "$fname" "$newname"
