#!/bin/bash

# Notice that the sort key is now 22 instead of 15 --
# that's because the "cat -n" adds characters to the line,
# so there's a difference of 7 characters.

# The older GNU sort command has a bug in it.  Due to this
# bug, using the -t option is required.  This is okay,
# because it doesn't affect the sort output on machines
# without the bug. :)
cat -n "$1" | sort -t: -u -k 1.22,1.27 | sort -n | cut -f2-
