#!/bin/bash
trap 'rm -f "$TMP"; exit' EXIT INT	# Note the -f
TMP=$(mktemp /tmp/XXXXXXXXXX)

tput clear
echo "Temporary filename is: $TMP"
rm "$TMP" 2>/dev/null			# Note the 2>
count=1

while (( count <= 10 ))
do
    echo "Process ID $$, loop count $count"
    let count=count+1
    date >> "$TMP"
    sleep 10
done
